OpenTTD: src/progress.h File Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions | Variables
progress.h File Reference

Functions related to modal progress. More...

`#include "thread/thread.h"`

Go to the source code of this file.

## Functions
static bool | HasModalProgress ()
| Check if we are currently in a modal progress state.
bool | IsFirstModalProgressLoop ()
| Check whether this is the first modal progress loop.
void | SetModalProgress (bool state)
| Set the modal progress state.

## Variables
static const uint | MODAL_PROGRESS_REDRAW_TIMEOUT = 200
| Timeout between redraws.
class ThreadMutex * | _modal_progress_work_mutex
| Rights for the performing work.
class ThreadMutex * | _modal_progress_paint_mutex
| Rights for the painting.

## Detailed Description

Functions related to modal progress.

Definition in file progress.h.

## Function Documentation

static bool HasModalProgress | ( |  | ) |
| inlinestatic

Check if we are currently in a modal progress state.

Returns
  Are we in the modal state?

Definition at line 23 of file progress.h.

References _in_modal_progress.

Referenced by DrawDirtyBlocks(), GenerateWorld(), HandleAutoscroll(), HandleKeypress(), HandleMouseEvents(), InputLoop(), VideoDriver_SDL::MainLoop(), MayBeShown(), MainWindow::OnHotkey(), and StateGameLoop().

bool IsFirstModalProgressLoop | ( |  | ) |

Check whether this is the first modal progress loop.

Note
  Set by SetModalProgress, unset by calling this method.

Returns
  True if this is the first loop.

Definition at line 41 of file progress.cpp.

Referenced by DrawDirtyBlocks().

void SetModalProgress | ( | bool | state | ) |

Set the modal progress state.

Note
  Makes IsFirstModalProgressLoop return true for the next call.

Parameters

  state | The new state; are we modal or not?

Definition at line 30 of file progress.cpp.

References _in_modal_progress.

Referenced by CleanupGeneration(), DoScanNewGRFFiles(), GenerateWorld(), and ScanNewGRFFiles().

## Variable Documentation

class ThreadMutex* _modal_progress_paint_mutex

Rights for the painting.

Definition at line 23 of file progress.cpp.

Referenced by DoScanNewGRFFiles(), DrawDirtyBlocks(), openttd_main(), ScanNewGRFFiles(), and WaitTillGeneratedWorld().

class ThreadMutex* _modal_progress_work_mutex

Rights for the performing work.

Definition at line 21 of file progress.cpp.

Referenced by _GenerateWorld(), DoScanNewGRFFiles(), DrawDirtyBlocks(), GenerateWorld(), openttd_main(), ScanNewGRFFiles(), and WaitTillGeneratedWorld().